unsigned long pbr_adr, fat_base,root_base, cluster_base;
unsigned long number_of_fat,sectors_per_fat,reserved;
unsigned long root_dir_entry,root_entry_size,sectors_per_cluster;


void get_FAT(void)
{
        //unsigned char response;
        //unsigned long tmp[4];
        /////////////////////////////////////////////
        load_sector(0);//load MBR sector
        
        //pbr_adr=((unsigned long) buffer[456])*65536;
        //pbr_adr+=((unsigned long)buffer[455])*256;
        //pbr_adr+=buffer[454];
        
        pbr_adr= ((unsigned long)buffer[0x01C8])<<16;
        pbr_adr+=((unsigned long)buffer[0x01C7])<<8;
        pbr_adr+=buffer[0x01C6];
        
        printf("PBR abress:");
        print_long(pbr_adr);
        /////////////////////////////////////////////
        load_sector(pbr_adr);//load PBR sector
        
        sectors_per_cluster=buffer[0x0D];
        printf("sector per cluster:");
        print_long(sectors_per_cluster); 
        
        reserved=((unsigned long)buffer[0x0F])*256+buffer[0x0E];
        printf("reserved sectors:");
        print_long(reserved);
        
        number_of_fat=buffer[0x10]; 
        printf("number of fat:");
        print_long(number_of_fat);        
        
        root_dir_entry=buffer[0x11]+(((unsigned long) buffer[0x12])*256);
        printf("root dir entry:");
        print_long(root_dir_entry); 
                
        sectors_per_fat=buffer[0x16]+((unsigned long) buffer[0x17])*256;
        printf("sectors per fat:");
        print_long(sectors_per_fat);       
        ////////////////////////////////////////////
        fat_base=pbr_adr+reserved;
        root_base=fat_base+number_of_fat*sectors_per_fat;
        cluster_base=root_base+root_dir_entry*root_entry_size-2*sectors_per_cluster;

}
